QGIS Application - Bug report #10084
Legend does not display correct symbol in the composer when the size of the marker is changed
2014-04-17 02:21 AM - Frédéric Parrenin

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.2.0 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 18552
Description

See attached screenshot to understand the problem.
In the legend, the Vittuari et al. (2004) dataset should be displayed with an arrow but it is displayed with a dot.
This happens because | changed the size of the marker to '0.2' instead of '1'.

History

#1 - 2014-04-17 02:16 PM - Nyall Dawson
- Status changed from Open to Feedback

How are you setting the size of the arrows in your layer? Is it via data defined symbology?

#2 - 2014-04-18 02:41 AM - Frédéric Parrenin

To change the symbol size, | go to the layer properties > Style > size

#3 - 2014-04-18 03:37 AM - Nyall Dawson

I'm still confused - in your image the arrows have varying styles. How are you controlling this varying size of arrows in your project? If it's via data defined

symbology or via the "advanced"->"size scale field" then this is a known issue with legends...

#4 - 2014-04-18 05:48 AM - Frédéric Parrenin
- File Sans_nom_1.png added

| control the varying size and orientation of the arrows with the "advanced" button.
But if | keep unchanged the size, there is no problem with the legend.
See attached screenshot.

#5 - 2014-04-20 03:28 PM - Nyall Dawson
- Resolution set to duplicate
- Status changed from Feedback to Closed

Duplicate of #4450
Files

Qgis-legend-bug.png 124 KB 2014-04-17 Frédéric Parrenin
Sans_nom_1.png 145 KB 2014-04-18 Frédéric Parrenin
